local ParamBuilder = require "parambuilder_v1_1"
local param = ParamBuilder.Checkbox("fps_booster_skip_black", _("Activate this if you do NOT wanna have very high fps"), true )

function data()
	return {
		info = {
			name = "FPS Booster [Lod Test]",
			description = _("mod_desc"),
			minorVersion = 0,
			severityAdd = "NONE",
			severityRemove = "NONE",
			tags = {"Script Mod"},
			authors = {
				{
					name = "Totally not VacuumTube",
					role = "CREATOR",
					tfnetId = 29264,
				},
			},
			params = {
				param.params,
			}
		},
		runFn = function (settings, modparams)
			local params = modparams[getCurrentModId()]
			
			if param.getBool(params) then
				addModifier("loadGameScript", function(file,data)
					if file:ends("game_script/boost.lua") then
						data={}
					end
					return data
				end)
			end
			
			addModifier("loadModel", function(file, data) 
				
				if file:find("res/models/model/placeholders/") then return data end
				
				local t= data.metadata.treeh and 1 or 0
				
				for i=1,#data.lods-1-t do
					data.lods[i].visibleFrom=0
					data.lods[i].visibleTo=0
				end
				if #data.lods-t>0 then
					data.lods[#data.lods-t].visibleFrom=0
				end
				
				return data
				
			end)
		end,
		postRunFn = function (settings, modparams)
			
		end
	}
end